%global __provides_exclude ^python3.12dist(importlib-metadata)$

%global python3_pkgversion 3.12

Name:           python-click
Version:        8.1.7
Release:        8%{?dist}
Summary:        Simple wrapper around optparse for powerful command line utilities

License:        BSD-3-Clause
URL:            https://github.com/pallets/click
Source0:        %{url}/archive/%{version}/click-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}dist(setuptools)
Requires:       python%{python3_pkgversion}

%global _description \
click is a Python package for creating beautiful command line\
interfaces in a composable way with as little amount of code as necessary.\
It's the "Command Line Interface Creation Kit".  It's highly configurable but\
comes with good defaults out of the box.

%description %{_description}


%package -n     python%{python3_pkgversion}-click
Summary:        %{summary}

%description -n python%{python3_pkgversion}-click %{_description}


%prep
%autosetup -n click-%{version} -p1


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-click
%license LICENSE.rst
%doc README.rst CHANGES.rst
%{python3_sitelib}/click*

%changelog
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 8.1.7-8
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 8.1.7-5
- Rebuilt for Python 3.13
